Subject: Re: bug#60830: 30.0.50; The *Compilation* buffer does not recognize Lua errors

From: Mattias Engdegård <[email-masked]>
Date: Wed, 10 Jan 2024 17:37:34 +0100

10 jan. 2024 kl. 14.48 skrev Stefan Kangas <[email-masked]>:

> Thank you, installed on master (cd0eb055fd4) and closing the bug.

Sorry for falling behind on this bug, and thank you for helping me catch up.

However I wasn't actually finished here: the new regexps are still annoyingly close to other patterns that mismatches and/or bad performance cannot be ruled out, and it would be good to have a way to deal with it.

I'm tempted go about disabling large swaths of rules since for every useful contemporary rule like Gnu, Typescript and yes, Lua, there seem to be a half-dozen ones for niche and/or outright antiquated tools.

Anyway, I performed some minimum maintenance on the new Lua patterns but can't promise that they be enabled by default in the end -- it's not that they aren't useful but risk of interference.

(And it's probably high time I made a batch conversion of the remaining patterns to rx.)